Subject: [mpls] Discussion on draft-xp-mpls-spring-lsp-ping-path-sid-00

From: <[email-masked]>
Date: Mon, 23 Nov 2020 11:48:56 +0800 (CST)

Hello Xiang Ji,

Thanks for your comments on the mic during the IETF 109 MPLS session last Friday.

As promised, I respond to your comments on draft-xp-mpls-spring-lsp-ping-path-sid-00 by email now.

For you comment on the alignment between the number of labels in label stack and the number of FECs, I rechecked with RFC 8029 and I believe your question is from section 4.4, is that correct? Then draft-xp-mpls-spring-lsp-ping-path-sid-00 defines two alternative FECs for one Path-SID placed in the label stack, and one of the two alternative FECs would be used within any specific LSP Ping Echo Request message, so it's not clear to me which requirement in RFC 8029 is violated, would you please elaborate it a bit more?

For your comment on splitting IPv4 address family and IPv6 address family, I believe you mean there are some "4/16 octets" fields defined within the two FEC sub-TLVs, that's because we referred to newly adopted draft-ietf-mpls-sr-epe-oam when writing this draft, and similar "4/16 octets" fields are defined within the PeerAdj SID Sub-TLV of that draft.

Best Regards,

Xiao Min